/*
 * File         : Compiler.java
 * Author       : Guansong Zhang
 * Created      : Tue Jun 16 13:11:26 1998
 * Revision     : $Revision: 1.2 $
 * Updated      : $Date: 1998/07/24 06:19:40 $
 */

import java.io.*;

class Compiler {
  public static void main(String[] args) {
    try {
      StringBuffer cmd = new StringBuffer();

      for (int i=0; i<args.length; i++)
        cmd = cmd.append(args[i]+" ");

      System.out.println(cmd.toString());

      Process child = Runtime.getRuntime().exec(cmd.toString());

      int c;

      InputStream child_in = child.getInputStream();

      while ((c=child_in.read()) !=-1 )
  System.out.print((char)c);

      child_in.close();

      InputStream child_err = child.getErrorStream();

      while ((c=child_err.read()) !=-1 )
  System.err.print((char)c);

      child_err.close();

      child.waitFor();

      System.out.println(child.exitValue());
    }

    catch (IOException e) {
      System.err.println(e);
    }
    catch (InterruptedException e) {
    }

  }
}
