/*
 * File         : AbstractNode.java
 * Author       : Guansong Zhang
 * Created      : Tue Oct 20 22:47:52 1998
 * Revision     : $Revision: 1.3 $
 * Updated      : $Date: 1999/11/11 01:28:45 $
 */

package hpjava.compiler.abstractexp; 
  
import hpjava.compiler.syntaxtree.*; 
import hpjava.compiler.visitor.*; 
  
import hpjava.compiler.reflection.*; 
 
import java.util.*; 
import java.io.*; 

public abstract class AbstractNode {

  boolean typeChecked = false;

  ClassReflector cr = null;

  abstract public void typeChecking();

  public ClassReflector getClassReflector() {
    if (typeChecked) {
      //System.out.println("^^^^^^^^^^^ type is checked");
      return this.cr;
    }
    else {
      //System.out.println("$$$$$$$$$$$ type is NOT checked");
      typeChecking();

      return this.cr;
    }
  }


}
