/*
 * File         : AllocatedShapeDescriptor.java
 * Author       : Guansong Zhang
 * Created      : Wed Dec 16 23:14:14 1998
 * Revision     : $Revision: 1.2 $
 * Updated      : $Date: 1999/11/11 02:30:14 $
 */

package hpjava.compiler.abstractexp;

import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;

import hpjava.compiler.reflection.*;

import hpjava.compiler.unparser.*;
import hpjava.compiler.wrapper.*;

public class AllocatedShapeNode extends AbstractExpression {
  public AllocatedShapeDescriptor  descriptor;

  public AllocatedShapeNode(AllocatedShape shape) {
	descriptor = new AllocatedShapeDescriptor( shape );
  }

  public void accept(AbstractExpressionVisitor v) {
    v.visit(this);
  }

}
