/*
 * File         : ArrayRefNode.java
 * 
 * Created      : 
 * Revision     : $Revision: 1.2 $
 * Updated      : $Date: 1999/06/08 19:22:52 $
 */

package hpjava.compiler.abstractexp;

import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;

public class ArrayElemRefNode extends AbstractExpression {
  public AbstractExpression arrayName;
  public TripletOrExpressionListNode eList;

  public ArrayElemRefNode( AbstractExpression arrayName, 
													 TripletOrExpressionListNode eList ) {
    this.arrayName = arrayName;
    this.eList = eList;
  }

  public void accept(AbstractExpressionVisitor v) {
    v.visit(this);
  }

}

