/*
 * File         : DistArraySecRefDimListDescriptor.java
 * Author       : Guansong Zhang
 * Created      : Wed Aug 12 14:23:07 1998
 * Revision     : $Revision: 1.2 $
 * Updated      : $Date: 1999/06/01 21:50:35 $
 */

/* Modified by Qiang Zheng
 */

package hpjava.compiler.abstractexp;

import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;

import hpjava.compiler.reflection.*;
import hpjava.compiler.wrapper.*;

// public class DistArraySecRefDimListNode extends PrimaryItem 
public class DistArraySecRefDimListNode extends AbstractExpression {
  // public DistArraySecRefDimList leaf;
  public DistArraySecRefDimListDescriptor descriptor;

  public DistArraySecRefDimListNode (DistArraySecRefDimList leaf) {
    this.descriptor = new DistArraySecRefDimListDescriptor(leaf); 
  }

  public void accept(AbstractExpressionVisitor v) {
    v.visit(this);
  }

}
