/*
 * File         : ExpressionDescriptor.java
 * Author       : Guansong Zhang
 * Created      : Wed Aug 12 14:23:07 1998
 * Revision     : $Revision: 1.2 $
 * Updated      : $Date: 1999/06/01 03:24:03 $
 */

/* Modified by Qiang Zheng
 * Only changed the class name and constructor name
 */ 
package hpjava.compiler.abstractexp;

import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;

public class ExpressionNode extends AbstractExpression
	implements DimensionNode
{
  public Expression leaf;
  
  public ExpressionNode (Expression leaf) {
    this.leaf = leaf;
  }
  
  public void accept(AbstractExpressionVisitor v) {
    v.visit(this);
  }
  
}
