/*
 * File         : IdentifierDescriptor.java
 * Author       : Guansong Zhang
 * Created      : Wed Aug 12 14:23:07 1998
 * Revision     : $Revision: 1.2 $
 * Updated      : $Date: 1999/06/01 02:46:37 $
 */

/* Modified by Qiang Zheng again after changing the hierachy of abstract
 * syntax tree
 * 
 */

/* Modified by Qiang Zheng
 * Only change the class name and constructors
 */
package hpjava.compiler.abstractexp;

import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;

public class IdentifierNode extends AbstractExpression {
  public NodeToken leaf;

  public IdentifierNode (NodeToken token) {
    this.leaf = token;
  }

  public IdentifierNode (String image) {
    NodeToken token = new NodeToken(image);
    this.leaf = token;
  }

  public void accept(AbstractExpressionVisitor v) {
    v.visit(this);
  }
}
