/*
 * File         : ConstructorReflectorByteCode.java
 * Author       : Guansong Zhang
 * Created      : Fri May 22 16:21:28 1998
 * Revision     : $Revision: 1.2 $
 * Updated      : $Date: 1998/10/07 22:56:13 $
 */

package hpjava.compiler.reflection;

import java.lang.reflect.*;

public class ConstructorReflectorByteCode extends ConstructorReflector {
  
  protected Constructor constructor;

  ConstructorReflectorByteCode (Constructor constructor) {
    this.constructor=constructor;
  }

  public ClassReflector getDeclaringClass() {
    return (new ClassReflectorByByteCode(this.constructor.getDeclaringClass()));
  }  
  
  public String getName() {
    return (this.constructor.getName());
  }

  public ModifierReflector getModifier() {
    return (new ModifierReflector(this.constructor.getModifiers()));
  }

}

