/** 
 * Author       : Guansong Zhang 
 * Revision     : $Revision: 1.2 $ 
 * Updated      : $Date: 1999/03/17 16:36:46 $ 
 * Node         : Generated from JTB 1.1.1 modified by author. 
 * Copyright    : All rights reserved 
 */

package hpjava.compiler.syntaxtree;

/**
 * Grammar production:
 * <PRE>
 * f0 -> "null"
 * </PRE>
 */
public class NullLiteral extends SyntaxNode implements Node {
   private Node parent;
   public NodeToken f0;

   public NullLiteral(NodeToken n0) {
      f0 = n0;
      if (f0!=null) f0.setParent(this);
   }

   public void accept(hpjava.compiler.visitor.Visitor v) {
      v.visit(this);
   }

   public void setParent(Node n) { parent = n; }
   public Node getParent() {
      if (parent == null) throw new Error("Parent not set.");
      return parent;
   }
   public void setChildAt(Node n, int i) {
      if (i == 0)
         f0 = (NodeToken) n;
      else
         throw new Error("Invalid index.");

      if (n != null) n.setParent(this);
   }

   public java.util.Vector getChildren() {
      java.util.Vector vector = new java.util.Vector(1);
      vector.addElement(f0);
      return vector;
   }
}

