/*
 * File         : NotCompleteException.java
 * Author       : Guansong Zhang
 * Created      : Thu May 14 12:03:02 1998
 * Revision     : $Revision: 1.2 $
 * Updated      : $Date: 1998/12/11 15:25:09 $
 */

package hpjava.compiler.util;

public class NotCompleteException extends Exception {
  private int errorNumber = 0;
  
  public NotCompleteException (String s) {
    super(s);
  }
  
  public NotCompleteException (String s, int number) {
    super(s);
    errorNumber = number;
  }
  
  public String getMessage() {
    if (errorNumber != 0) {
      String message = super.getMessage() + " " + errorNumber + " errors found.";
      return message;  
    }
    else {
      return super.getMessage();
    }    
  }
}                                                                              
