/*
 * File         : NameDescriptor.java
 * Author       : Guansong Zhang
 * Created      : Wed Aug 12 14:23:07 1998
 * Revision     : $Revision: 1.1 $
 * Updated      : $Date: 1999/05/03 15:00:59 $
 */

package hpjava.compiler.wrapper;

import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;

import hpjava.compiler.unparser.*;
import hpjava.compiler.abstractexp.*;

public class NameDescriptor {
  public Name leaf;

  public NameDescriptor (Name leaf) {
    this.leaf = leaf;
  }
  

  public NameDescriptor () {
    leaf = new Name(null, new NodeListOptional());
  }

  public void addID(NodeToken id) {
    if (this.leaf.f0 == null) {
      this.leaf.f0 = id;
    }
    else {
      NodeSequence sequence = new NodeSequence(2);
      sequence.addNode(new NodeToken("."));
      sequence.addNode(id);
      
      this.leaf.f1.addNode(sequence);

    }
  }

}
