/*
 * File         : ArraySectNode.java
 * 
 * Created      : 
 * Revision     : $Revision: 1.3 $
 * Updated      : $Date: 1999/06/23 17:35:56 $
 */

package hpjava.compiler.abstractexp;

import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;

public class ArraySectNode extends AbstractExpression {
  public AbstractExpression arrayName;
  public DistArraySecRefDimListNode dimList;

  public ArraySectNode( AbstractExpression arrayName, 
			DistArraySecRefDimListNode dimList ) {
    this.arrayName = arrayName;
    this.dimList = dimList;
  }

  public void accept(AbstractExpressionVisitor v) {
    v.visit(this);
  }

}

