/*
 * File         : ClassFieldNode.java
 * Author       : Guansong Zhang
 * Created      : Fri Aug 14 12:28:26 1998
 * Revision     : $Revision: 1.2 $
 * Updated      : $Date: 1999/06/08 19:24:24 $
 */

package hpjava.compiler.abstractexp;

import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;

public class ClassFieldNode extends AbstractExpression {
  public AbstractExpression objName;
  public IdentifierNode fieldName;

  public ClassFieldNode ( AbstractExpression objName, 
													IdentifierNode fieldName ) {
    this.objName = objName;
    this.fieldName = fieldName;
  }

  public void accept(AbstractExpressionVisitor v) {
    v.visit(this);
  }

}

