/*
 * File         : ClassLiteralDescriptor.java
 * Author       : Guansong Zhang
 * Created      : Wed Oct  7 12:39:42 1998
 * Revision     : $Revision: 1.2 $
 * Updated      : $Date: 1999/06/01 03:23:33 $
 */

/* This is based on the original "ArgumentsDescripor" class
 * defined by Guansong Zhang
 * I just change the name into ClassLiteralNode.java
 * Nothing inside was changed exept the class name and constructors
 */

package hpjava.compiler.abstractexp;

import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;

public class ClassLiteralNode extends AbstractExpression {
  public ResultType leaf;

  public ClassLiteralNode (ResultType res) {
    this.leaf = res;
  }

  public void accept(AbstractExpressionVisitor v) {
    v.visit(this);
  }

}

