package hpjava.compiler.abstractexp;
 
import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;
 
import java.util.*;
import java.io.*;

public class ConditionalNode extends AbstractExpression {

  public AbstractExpression condition;
  public AbstractExpression trueResult;
  public AbstractExpression falseResult;

  public ConditionalNode(AbstractExpression r1, AbstractExpression r2, AbstractExpression r3){

    if(r1==null || r2==null || r3==null){
      throw new Error("One of AbstractExpression is Null...");
    }
    else{
      condition = r1;
      trueResult = r2;
      falseResult = r3;
    }

  } 

   public void accept(AbstractExpressionVisitor v) {
      v.visit(this);
   }
}
