package hpjava.compiler.abstractexp;
 
import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;
 
import java.util.*;
import java.io.*;

public class DivisionAssignmentNode extends AbstractExpression {

  public AbstractExpression left;
  public AbstractExpression right;

  public DivisionAssignmentNode(AbstractExpression l, AbstractExpression r){

    if((l==null)&&(r==null)){
      throw new Error("Two children are Null...");
    }
    else if(l==null){
      throw new Error("Left child is Null ...");
    }
    else if(r==null){
      throw new Error("Right child is Null ...");
    }
    else{
      left = l;
      right = r;
    } 
  } 

   public void accept(hpjava.compiler.abstractexp.AbstractExpressionVisitor v) {
      v.visit(this);
   }
}
