/*
 * File         : LiteralDescriptor.java
 * Author       : Guansong Zhang
 * Created      : Wed Aug 12 14:23:07 1998
 * Revision     : $Revision: 1.2 $
 * Updated      : $Date: 1999/06/01 03:24:32 $
 */

/* Modified by Qiang Zheng
 * Only changed the name of the class and the constructors
 */
package hpjava.compiler.abstractexp;

import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;

public class LiteralNode extends AbstractExpression {
  public Literal leaf;

  public LiteralNode (Literal literal) {
    this.leaf = literal;
  }

  public LiteralNode (int i) {
    String image = String.valueOf(i);

    NodeChoice choice = new NodeChoice (new NodeToken(image), 0);

    Literal literal = new Literal (choice);

    this.leaf = literal;
  }

  public void accept(AbstractExpressionVisitor v) {
    v.visit(this);
  }

}
