/*
 * File         : NullNode.java
 * Author       : Han-Ku Lee
 * Created      : Tue June 29 12:52:55 1999
 * Revision     : $Revision: 1.1 $
 */


package hpjava.compiler.abstractexp;

import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;

public class NullNode extends AbstractExpression {
  
  public NullNode () {

  }
  
  public void accept(AbstractExpressionVisitor v) {
    v.visit(this);
  }
  
}
