package hpjava.compiler.abstractexp;
 
import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;
 
import java.util.*;
import java.io.*;

public class UnaryExprNode extends AbstractExpression {

  public int uOperator;
  public AbstractExpression operand;

  public UnaryExprNode (int u, AbstractExpression op){
    if(op == null){
      throw new Error("Two children are Null...");
    }
    else{
      uOperator = u;
      operand = op;
    } 
  } 

  public void accept(AbstractExpressionVisitor v) {
    v.visit(this);
  }

}
