/*
 * File         : Clazz.java
 * Author       : Guansong Zhang, Han-Ku Lee
 * Created      : Fri May 22 11:23:17 1998
 * Revision     : $Revision: 1.6 $
 * Updated      : $Date: 1999/12/01 19:06:53 $
 */

package hpjava.compiler.reflection;

import java.io.*;
import java.lang.reflect.*;

public class Clazz {

  public static Class forName (String name)
    throws ClassNotFoundException {

    //System.out.println("hello");

    if (name.equals("boolean") || name.equals("Z"))
      return boolean.class;

    if (name.equals("byte") || name.equals("B"))
      return byte.class;

    if (name.equals("char") || name.equals("C"))
      return char.class;

    if (name.equals("short") || name.equals("S"))
      return short.class;

    if (name.equals("int") || name.equals("I"))
      return int.class;

    if (name.equals("long") || name.equals("J"))
      return long.class;

    if (name.equals("float") || name.equals("F"))
      return float.class;

    if (name.equals("double") || name.equals("D"))
      return double.class;
    
    if (name.equals("void"))
      return void.class;

    return (Class.forName(name));
  }
  
}


