package hpjava.compiler.translator;

import hpjava.compiler.util.*;

import hpjava.compiler.syntaxtree.*;

import hpjava.compiler.unparser.*;

import hpjava.compiler.abstractexp.*;
import hpjava.compiler.reflection.*;

public class Flags {

  public static boolean inArrayFlag;
  public static boolean inDistArrayFlag;
  public static boolean inMainFlag;
  public static boolean initFlag;
  public static boolean idxFlag;

  public static void Flags() {
    inArrayFlag = false;
    inDistArrayFlag = false;
    inMainFlag = false;
    initFlag = false;
    idxFlag = false;
  }

  public static void setIdxFlag() { 
	if( !idxFlag ) idxFlag = true;
  }

  public static void resetIdxFlag() {  
	if( idxFlag ) idxFlag = false;
  }

  public static boolean isIdx() { 
    return idxFlag;
  }

  public static void setInDistArrayFlag() { 
	if(!inDistArrayFlag)
      inDistArrayFlag = true;
  }

  public static void resetInDistArrayFlag() {  
	if(inDistArrayFlag)
      inDistArrayFlag = false;
  }

  public static boolean isInDistArray() { 
    return inDistArrayFlag;
  }

  public static void setInArrayFlag() { 
	if(!inArrayFlag)
      inArrayFlag = true;
	// else
	//  throw new Error();
  }

  public static void resetInArrayFlag() {  
	if(inArrayFlag)
      inArrayFlag = false;
	// else
	//  throw new Error();
  }

  public static boolean isInArray() { 
    return inArrayFlag;
  }

  public static void setInitFlag() { 
	if(!initFlag)
      initFlag = true;
	// else
	//  throw new Error();
  }

  public static void resetInitFlag() {  
	if(initFlag)
      initFlag = false;
	// else
	//  throw new Error();
  }

  public static boolean isInit() { 
    return initFlag;
  }

  public static void setInMainFlag() { 
	if( !inMainFlag )
      inMainFlag = true;
	// else
	//  throw new Error();
  }

  public static void resetInMainFlag() {  
	if( inMainFlag )
      inMainFlag = false;
	// else
	//  throw new Error();
  }

  public static boolean isInMain() {
    return inMainFlag;
  }
}
