/*
 * File         : IntStack.java
 * Author       : Guansong Zhang
 * Created      : Tue May 26 16:16:26 1998
 * Revision     : $Revision: 1.2 $
 * Updated      : $Date: 1998/12/11 15:25:05 $
 */

package hpjava.compiler.util;

import java.util.*;

public class IntStack {

  final int INITSIZE=4;

  private int [] array;

  private int top = 0;

  public IntStack () {
    array=new int[INITSIZE];
  }

  public IntStack (int size) {
    array=new int[size];
  }

  public boolean empty() {
    if (top ==0 )
      return true;
    else
      return false;
  }

  public void push(int item) {
    if (top == array.length) {
      int [] newArray= new int [array.length*2];

      for (int i=0; i<array.length; i++) 
	      newArray[i]=array[i];

      array=newArray;

      array[top]=item;

      top++;
    }
    else {
      array[top]=item;
      top++;
    }
  }

  public int pop () { 
    if (this.empty()) 
      throw new EmptyStackException();
    else {
      top--;
      return array[top];
    }
  }

  public int peek() { 
    if (this.empty()) 
      throw new EmptyStackException();
    else
      return array[top-1];
  }
}
