/*
 * File         : SpmdEnv.java
 * Author       : Guansong Zhang
 * Created      : Wed Feb  4 10:18:25 1998
 * Revision     : $Revision: 1.1.1.1 $
 * Updated      : $Date: 1998/07/07 16:28:46 $
 */

package hpjava.spmd;

import hpjava.lang.*;

public class SpmdEnv extends InterfaceObject {

  public native void _Initialize(String[] argv);
  public native void _Finalize();
  public native void _InitInterFace();  
  public native void _InitAPG(Group apg);

  public SpmdEnv(String[] argv) {
    _Initialize(argv);
    _InitInterFace();

    apg=new Group();
    _InitAPG(apg);
  }

  public void finalize() {
    _Finalize();
  }

  public native void clock(int num);

  public Group apg;
  //public ApgStack stack;

  //public Group global;
  //public Group root;

  // Is this correct?
  //public static final RootPrintStream rout = new RootPrintStream(System.out);

}

/*

SpmdEnv spmd = new SpmdEnv(argv); // as in main()
SpmdEnv spmd = new SpmdEnv(spmd); // as in thread

*/
